<?php
session_start();
$a = 1;
$b=$_GET["vrc"];
if ($b==null){
$b=$_POST["vrc"];
}
//$b=$vrc;
$Udaje = $_POST["Udaje"];
if ($b !=null) {
$_SESSION['vrc']=$b;
$hledejpr=null;
$hledejrc=1;
$hledejrc_hash=$_SESSION['vrc']; 
}
if ($_SESSION['vrc']==null){
$hledejpr=$_SESSION['smazatpr'];
$hledejrc=$_SESSION['smazatrc'];
$hledejrc_hash=md5($hledejrc);
}

if ($_SESSION['vrc']!=null){
$hledejrc_hash=$_SESSION['vrc'];
$hledejpr=null;
$hledejrc=1;
} 
/*
$hledejpr=$_SESSION['smazatpr'];
$hledejrc=$_SESSION['smazatrc'];
$hledejrc_hash=md5($hledejrc);
$hledejrc_hash=$_SESSION['vrc'];

   }
if ($_SESSION['vrc'] !=null) {
$hledejpr=null;
$hledejrc=1;
$hledejrc_hash=$_SESSION['vrc'];
	             } 
               */     
if ($_SESSION['authuser'] != 1 AND $_SESSION['authuser'] != 2) {
echo "<p>Nemáte oprávnění prohlížet tuto stránku.</p>\n"; 
echo "Možné důvody:</p>\n";
echo "<BR />";
echo "1. Špatný login nebo heslo";
echo "<BR />";
echo "2. Byl jste odhlášen z důvodu časově delší neaktivity";
echo "<BR />";
echo "<a href='login.php'>Zpět na přihlašovací stránku</a>";
	exit();
	}
?> 
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
  <head>
  <meta http-equiv="content-type" content="text/html; charset=windows-1250">
<title>Diplomová práce</title>
<link rel="stylesheet" type="text/css" href="./css/default.css" media="screen" />
<script type="text/javascript" src="./js/imagelink.js"></script>
  </head>
  <body>
     <body>
<div id="view">
  <!-- #header (hlavička + logo a slogan) -->
  <div id="head">

    <hr class="hidden" />
    <!-- logo a slogan -->
    <div id="logo">
      <h1>Databáze</h1>
      <h2>Neuroinformatika</h2>
      <a href="" class="block">&nbsp;</a>
    </div>
    <!-- /logo a slogan -->
    <hr class="hidden" />
  </div>
  <!-- /#header (hlavička + logo a slogan) -->
  
  <!-- #hlavní část -->
  <div id="content">
    <!-- #levá část webu - hlavní část -->
    <div id="contentBlock">  
           <div class="item">
        <br />
        <ul class="info">
          <li>Editace údajů</li>
          <li class="tag">Proveďte žádané změny</li>
               </ul>

              <?
              if ($Udaje == "Osobní údaje" or $Udaje==null or $Udaje=="--- Osobní údaje ---") {
{if ($hledejpr != null)  {
 $a = 0;
                      do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
	@$ujmeno = MySQL_Query("SELECT pacient.Jmeno FROM pacient WHERE pacient.Prijmeni='$hledejpr'");
 	@$uprijmeni = MySQL_Query("SELECT pacient.Prijmeni FROM pacient WHERE pacient.Prijmeni='$hledejpr'");
 	@$upohlavi = MySQL_Query("SELECT pacient.Pohlavi FROM pacient WHERE pacient.Prijmeni='$hledejpr'");
 	@$uvek = MySQL_Query("SELECT pacient.Vek FROM pacient WHERE pacient.Prijmeni='$hledejpr'");
 	@$uadresa = MySQL_Query("SELECT pacient.Adresa FROM pacient WHERE pacient.Prijmeni='$hledejpr'");
$pokus = MySQL_Fetch_Array($ujmeno);
$vjmeno= $pokus['Jmeno'];
$pokus = MySQL_Fetch_Array($uprijmeni);
$vprijmeni=$pokus['Prijmeni'];
$pokus = MySQL_Fetch_Array($upohlavi);
$vpohlavi=$pokus['Pohlavi'];
$pokus = MySQL_Fetch_Array($uvek);
$vvek=$pokus['Vek'];
$pokus = MySQL_Fetch_Array($uadresa);
$vadresa=$pokus['Adresa'];
	    		MySQL_Close($spojeni);    
} while (false);

         }

if ($hledejrc != null)     {
 $a = 0;
                      do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
@$ujmeno = MySQL_Query("SELECT pacient.Jmeno FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
@$uprijmeni = MySQL_Query("SELECT pacient.Prijmeni FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
@$upohlavi = MySQL_Query("SELECT pacient.Pohlavi FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
@$uvek = MySQL_Query("SELECT pacient.Vek FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
@$uadresa = MySQL_Query("SELECT pacient.Adresa FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");

@$pacient= MySQL_Query("SELECT pacient.id_pacient FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
@$pokus=MySQL_Fetch_Array($pacient);
$vpacient= $pokus['id_pacient'];
$pokus = MySQL_Fetch_Array($ujmeno);
$vjmeno= $pokus['Jmeno'];
$pokus = MySQL_Fetch_Array($uprijmeni);
$vprijmeni=$pokus['Prijmeni'];
$pokus = MySQL_Fetch_Array($upohlavi);
$vpohlavi=$pokus['Pohlavi'];
$pokus = MySQL_Fetch_Array($uvek);
$vvek=$pokus['Vek'];
$pokus = MySQL_Fetch_Array($uadresa);
$vadresa=$pokus['Adresa'];
//pridani polozek
@$udatumvysetreni = MySQL_Query("SELECT vysetreni.datum FROM vysetreni, pacient_vysetreni WHERE pacient_vysetreni.id_pacient_vysetreni=vysetreni.id_vysetreni AND pacient_vysetreni.id_pacient='$vpacient'");
$pokus = MySQL_Fetch_Array($udatumvysetreni);
$vdatumvysetreni=$pokus['datum'];
//konec
	    		MySQL_Close($spojeni);    
} while (false);

 }

 if ($a == 1)
 {
 echo "Nebyl vybrán žádný záznam pro mazání";
 }



echo    "<FORM ACTION='upravit.php' METHOD=POST>";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='--- Osobní údaje ---'>   ";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='Vyšetření'> ";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='Fotodokumentace'>";
echo    "</FORM>";
echo    "<FORM ACTION='upraveno.php' METHOD=POST>";
echo    "<TABLE>";
echo    "<TR><TD>Jméno:     <TD>   <INPUT NAME=Jmeno VALUE='$vjmeno'>";
echo    "<TR><TD>Příjmení <TD>   <INPUT NAME=Prijmeni VALUE='$vprijmeni'> ";
echo    "<TR><TD> Pohlaví:    <TD>   <INPUT NAME=Pohlavi SIZE=5 VALUE='$vpohlavi'> ";
echo    "<TR><TD> Věk:    <TD>   <INPUT NAME=Vek SIZE=5 VALUE='$vvek'>";
echo    "<TR><TD>Adresa     <TD>   <INPUT NAME=Adresa SIZE=60 VALUE='$vadresa'>";
echo    "</TABLE> ";
echo    "<br /> ";
echo    "<INPUT TYPE=SUBMIT VALUE='Ulož provedené změny'>";
echo    "</FORM>";
}
}
if ($Udaje == "Vyšetření" or $Udaje=="--- Vyšetření ---") {
echo    "<FORM ACTION='upravit.php' METHOD=POST>";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='Osobní údaje'>   ";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='--- Vyšetření ---'> ";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='Fotodokumentace'>";
echo    "</FORM>";
echo    "<TABLE> ";
echo    "<TR><TD>";
echo    "<br /> ";
echo    "Přidání nového záznamu vyšetření pacienta: ";
echo    "<br /> ";
echo    "<br /> ";
echo    "<FORM ACTION='novevysetreni.php' METHOD=POST>";
echo    "<INPUT TYPE=SUBMIT NAME='novys' VALUE='Přidat nové vyšetření'>   ";
echo    "</FORM>";
echo    "<br /> ";
echo    "<TR><TD>";
do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
@$pacient= MySQL_Query("SELECT pacient.id_pacient FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
@$pokus=MySQL_Fetch_Array($pacient);
$vpacient= $pokus['id_pacient'];
//test
@$udatumvysetreni = MySQL_Query("SELECT * FROM vysetreni, pacient_vysetreni WHERE pacient_vysetreni.id_vysetreni=vysetreni.id_vysetreni AND pacient_vysetreni.id_pacient='$vpacient'");
echo    "<FORM ACTION='vysetreni.php' METHOD=POST>";
		if (MySQL_Num_Rows($udatumvysetreni)==0){
  echo "Pacient zatím nebyl na žádném vyšetření";
    }
    	if (MySQL_Num_Rows($udatumvysetreni)>=1){
  echo "Seznam již provedených vyšetření pacienta:";
  echo    "<br /> ";
  echo    "<br /> ";
    }  
while ($zaznam = MySQL_Fetch_Array($udatumvysetreni)){
$idvys=$zaznam['id_vysetreni'];
       
echo "<INPUT TYPE=RADIO NAME='idvys' VALUE='$idvys' CHECKED> ".$zaznam['datum']."<br />";
          }
         echo    "<br /> "; 
             	if (MySQL_Num_Rows($udatumvysetreni)>=1){

          echo    "<INPUT TYPE=SUBMIT NAME='v' VALUE='vybrat vyšetření'>   ";
              }  
          	echo    "</FORM>";
             echo    "</TABLE> ";

	    		MySQL_Close($spojeni);    
} while (false);


}



if ($Udaje == "Fotodokumentace" or $Udaje=="--- Fotodokumentace ---") {
echo    "<FORM ACTION='upravit.php' METHOD=POST>";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='Osobní údaje'>   ";
echo    "<INPUT TYPE=SUBMIT NAME='Udaje' VALUE='Vyšetření'> ";
echo    ("<strong><INPUT TYPE=SUBMIT NAME='Udaje' VALUE='--- Fotodokumentace ---'></strong>");
echo    "</FORM>";
echo    "<br /> ";

//vybrani vysetreni
do {
	@$spojeni = MySQL_Connect('mysql', 'marvik.johny.cz', 'marvik30');
	if (!$spojeni):
		echo "Nepodařilo se připojit k MySQL.<BR>\n";
		break;
	endif;
	MySQL_Select_DB("marvik_johny_cz");
@$pacient= MySQL_Query("SELECT pacient.id_pacient FROM pacient WHERE pacient.RodneCislo_hash='$hledejrc_hash'");
@$pokus=MySQL_Fetch_Array($pacient);
$vpacient= $pokus['id_pacient'];
//test
@$udatumvysetreni = MySQL_Query("SELECT * FROM vysetreni, pacient_vysetreni WHERE pacient_vysetreni.id_vysetreni=vysetreni.id_vysetreni AND pacient_vysetreni.id_pacient='$vpacient'");
echo    "<FORM ACTION='foto.php' METHOD=POST>";
		if (MySQL_Num_Rows($udatumvysetreni)==0){
  echo "Pacient zatím nebyl na žádném vyšetření. ";
    }
    	if (MySQL_Num_Rows($udatumvysetreni)>=1){
  echo "Nejprve prosím vyberte ze seznamu vyšetření, které chcete prohlížet.";
  echo    "<br /> ";
  echo    "<br /> ";
    }  
while ($zaznam = MySQL_Fetch_Array($udatumvysetreni)){
$idvys=$zaznam['id_vysetreni'];
/////// TADYYYYYYYYYYYYYYYYYYYYY změna       
echo "<INPUT TYPE=RADIO NAME='idvys' VALUE='$idvys' CHECKED> ".$zaznam['datum']."-".$zaznam['dokumentace']."<br />";
          }
         echo    "<br /> "; 
             	if (MySQL_Num_Rows($udatumvysetreni)>=1){

          echo    "<INPUT TYPE=SUBMIT NAME='v' VALUE='vybrat vyšetření'>   ";
              }  
          	echo    "</FORM>";
             echo    "</TABLE> ";

	    		MySQL_Close($spojeni);    
} while (false);
//konec vybrani vysetreni

/*
// seznam souborue
echo "Seznam dokumentů";
echo    "<br /> ";
echo    "<br /> ";
$adresar=Dir("upload/$hledejrc_hash");
$tmp=$adresar->Read();
$tmp=$adresar->Read();

while($polozka=$adresar->Read())
{
echo ("<a href='upload/$hledejrc_hash/$polozka'>$polozka</a><br>"); 
}
$adresar->Close();
*/
}
  ?>
      </div>      
     
    </div>
    <!-- /#levá část webu - hlavní část -->
    <hr class="hidden" />
    <!-- #pravá část webu - submenu -->
    <div id="menuBlock">
        <div class="box subMenu">
        <h3>Odhlášení:</h3>
        <ul>
           <li><a href="index.php">Logout</a></li>
          </ul>
      </div>
           <div class="box subMenu">
        <h3>Správa databáze:</h3>
        <ul>
           <li><a href="hledat.php">Nové hledání..</a></li>
            <li><a href="smazat.php">Smazat pacienta</a></li>
           <li><a href="mysql.php">Zpět do hlavního menu</a></li>
          </ul>
      </div>
    </div>
    <!-- /#pravá část webu - hlavní část -->
  </div>
  <!-- /#hlavní část -->
  

  <div id="foot">
    
  </div> 

        </div>

</body>
</html>

  </body>
</html>